---@enum EGPPBtnStateFlags
local EGPPBtnStateFlags = {
    None = 0,
    Enabled = 1,
    Disabled = 2,
    Selected = 4,
    Enabled_Selected = 5,
    Focused = 8,
    Enabled_Focused = 9,
    Pressed = 16,
    Enabled_Pressed = 17,
    EGPPBtnStateFlags_MAX = 18,
}

---@enum EGPPPurchaseLimitAction
local EGPPPurchaseLimitAction = {
    UPDATE_IAP_USER_PROPERTY = 0,
    CLOSE = 1,
    UNKNOWN = 2,
    EGPPPurchaseLimitAction_MAX = 3,
}

---@enum EGPPPurchaseLimitViewType
local EGPPPurchaseLimitViewType = {
    ALERT = 0,
    ACTION_SHEET_TYPE2 = 1,
    ACTION_SHEET_TYPE3 = 2,
    RADIO_CONFIRM_TYPE = 3,
    UNKNOWN = 4,
    EGPPPurchaseLimitViewType_MAX = 5,
}

---@enum EGPPUIMode
local EGPPUIMode = {
    None = 0,
    Landscape = 1,
    Portrait = 2,
    EGPPUIMode_MAX = 3,
}

---@enum EGPPWidgetInputCondition_ConditionsOperator
local EGPPWidgetInputCondition_ConditionsOperator = {
    Operator_OR = 0,
    Operator_AND = 1,
    Operator_MAX = 2,
}

---@enum EGPPWidgetInputExecType
local EGPPWidgetInputExecType = {
    None = 0,
    Cancel = 1,
    Select = 2,
    ScrollMove = 3,
    OpenWebBrowser = 4,
    Start = 5,
    OpenDetail = 6,
    AcceptAllAndStart = 7,
    Close = 8,
    EGPPWidgetInputExecType_MAX = 9,
}

---@enum EGPPWidgetLayoutStyle
local EGPPWidgetLayoutStyle = {
    Default = 0,
    PC = 1,
    Playstation = 2,
    XBox = 3,
    Mobile = 4,
    Web = 5,
    Max = 6,
}

